﻿using System;
using System.Data.Linq;
using System.Diagnostics;
using System.Configuration;
namespace MultiDbmsConnectionsDemo
{
    public static class DataContextFactory
    {
        public static DataContext Create(Type typeDataContext, string strDbName)
        {
            Debug.Assert(typeDataContext.IsSubclassOf(typeof(DataContext)));
            string strDbConn;
            try
            {
                strDbConn = ConfigurationManager.ConnectionStrings[strDbName].ConnectionString;
            }
            catch (Exception)
            {
                return (DataContext) Activator.CreateInstance(typeDataContext);
            }
            return (DataContext)Activator.CreateInstance(typeDataContext, strDbConn);
        }
    }
}
